# $Revision: 1.75 $, $Date: 2011/08/30 15:50:18 $
Summary:	Utility to ease the reporting of bugs within the GNOME
Summary(pl.UTF-8):	Narzędzie ułatwiające zgłaszanie błędów w środowisku GNOME
Name:		bug-buddy
Version:	2.32.0
Release:	5
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	86a84389c206396eba680e93288d04c8
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	elfutils-devel
BuildRequires:	evolution-data-server-devel >= 2.26.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libgdata-devel
BuildRequires:	libgtop-devel >= 2.14.8
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper >= 0.3.8
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	gtk+2 >= 2:2.16.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submission process. It can automatically obtain stack traces from core
files or crashed applications. Debian and KDE bug tracking systems are
also supported.

%description -l pl.UTF-8
bug-buddy jest narzędziem przeprowadzającym przez proces składania
raportu o błędzie w środowisku GNOME. Potrafi on automatycznie uzyskać
ślady ze stosu (backtrace) z plików core lub wywracających się
aplikacji. Wspierane są również systemy obsługi błędów Debiana oraz
KDE.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__gnome_doc_common}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# no theme provides such icons
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/icons/HighContrastLargePrint

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/libgnomesegvhandler.la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install bug-buddy.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall bug-buddy.schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/bug-buddy
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libgnomesegvhandler.so
%{_datadir}/%{name}
%{_desktopdir}/bug-buddy.desktop
%{_iconsdir}/hicolor/*/*/bug-buddy.png
%{_iconsdir}/hicolor/*/*/bug-buddy.svg
%{_sysconfdir}/gconf/schemas/bug-buddy.schemas
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bug-buddy.spec,v $
Revision 1.75  2011/08/30 15:50:18  glen
- fix files as well

Revision 1.74  2011/08/19 17:58:57  glen
- drop icons/HighContrastLargePrint

Revision 1.73  2011/03/26 12:29:14  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- pl fix
- use __rm macro

Revision 1.72  2011/02/04 18:23:37  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.71  2010/11/20 11:08:10  qwiat
- added missing BRs
- added unpackaged icon
- adapterized

Revision 1.70  2010/09/30 12:07:12  megabajt
- updated to 2.32.0

Revision 1.69  2010/04/02 11:20:20  megabajt
- updated to 2.30.0

Revision 1.68  2009/09/26 20:01:46  patrys
- merged from DEVEL

Revision 1.67.2.3  2009/09/26 20:00:48  patrys
- 2.28.0

Revision 1.67.2.2  2009/09/10 08:06:11  patrys
- remove ca@valencia

Revision 1.67.2.1  2009/09/10 07:58:40  patrys
- 2.27.92

Revision 1.67  2009/03/18 14:08:40  patrys
- merged from DEVEL

Revision 1.66.2.2  2009/03/18 14:07:35  patrys
- 2.26.0

Revision 1.66.2.1  2009/02/26 21:10:03  megabajt
- updated to 2.25.91

Revision 1.66  2008/11/25 18:32:57  megabajt
- updated to 2.24.2

Revision 1.65  2008/10/19 13:13:08  megabajt
- updated to 2.24.1

Revision 1.64  2008/09/27 11:22:40  megabajt
- updated to 2.24.0; merged from DEVEL
- -pld.patch applied upstream

Revision 1.63.2.4  2008/09/04 08:36:48  patrys
- 2.23.91.1

Revision 1.63.2.3  2008/08/17 20:47:01  megabajt
- updated to 2.23.90

Revision 1.63.2.2  2008/08/04 13:41:44  patrys
- 2.23.6

Revision 1.63.2.1  2008/07/23 09:58:12  patrys
- 2.23.5.1

Revision 1.63  2008/03/11 20:38:52  megabajt
- minidump_dump and minidump_stackwalk don't exist on archs other than %{ix86}
- release 2

Revision 1.62  2008-03-11 19:30:26  patrys
- 2.22.0
- merged from DEVEL

Revision 1.61.2.3  2008-03-11 19:29:37  patrys
- 2.22.0

Revision 1.61.2.2  2008-02-06 17:11:43  megabajt
- removed -desktop.patch (not needed)
- added -pld.patch which will allow bug-buddy to recognize PLD as a distro
- updated deps
- more verbose files

Revision 1.61.2.1  2008-02-05 02:31:24  patrys
- 2.21.90

Revision 1.61  2007-11-26 15:09:03  sls
- BR: gnome-common (for __gnome_doc_common)

Revision 1.60  2007-11-03 23:10:58  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.59  2007/10/07 11:43:20  megabajt
- updated to 2.20.1

Revision 1.58  2007/09/18 19:32:38  megabajt
- libbreakpad.so.*.*.* exists only on %{ix86}
- no need to install versioned libgnomebreakpad.so
- release 2

Revision 1.57  2007/09/18 17:32:05  megabajt
- updated to 2.20.0; merged from DEVEL

Revision 1.56.2.3  2007/08/29 22:27:45  megabajt
- package symlink too

Revision 1.56.2.2  2007/08/29 22:06:55  megabajt
- updated deps
- cleanup

Revision 1.56.2.1  2007/08/29 06:38:36  patrys
- 2.19.91

Revision 1.56  2007/04/09 17:29:10  megabajt
- updated to 2.18.1

Revision 1.55  2007/03/13 12:40:14  megabajt
- updated to 2.18.0

Revision 1.54  2007/03/10 12:01:56  megabajt
- updated to 2.17.4

Revision 1.53  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.51  2006/12/24 14:05:47  megabajt
- up to 2.16.1

Revision 1.50  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.49  2006/10/13 18:28:53  megabajt
- add R(post,postun): hicolor-icon-theme, gtk+2 epoch

Revision 1.48  2006/10/05 22:00:47  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.47  2006/09/05 21:11:03  grzegol
- 2.16.0

Revision 1.46  2006/08/22 19:13:29  freetz
- 2.15.92, updated deps, removed TODO (fixed in this release)

Revision 1.45  2006/07/26 17:26:49  freetz
- corrected libgtop BR

Revision 1.44  2006/07/26 17:15:09  freetz
- rel.2, updated missing BR, TODO added

Revision 1.43  2006/07/25 19:43:17  freetz
- 2.15.90, updated deps, use rpm macros

Revision 1.42  2006/06/13 16:58:15  freetz
- 2.15.0, GNOME 2.15.x deps, obsolete dirs alread removed, remove ug locale

Revision 1.41  2006/05/26 23:47:53  qboosh
- merged deps update from AC-branch

Revision 1.39.4.2  2006/05/18 21:40:57  baggins
- release 2
- strict reqs

Revision 1.39.4.1  2006/05/15 15:46:44  baggins
- up to 2.14.0

Revision 1.40  2006/04/02 15:01:06  freetz
- merged from DEVEL

Revision 1.39.2.3  2006/03/12 21:53:04  freetz
- 2.14.0

Revision 1.39.2.2  2006/02/28 14:59:31  freetz
- 2.13.90

Revision 1.39.2.1  2006/02/01 22:33:51  freetz
- 2.13.0

Revision 1.39  2005/10/04 07:58:48  paladine
- updated to 2.12.1

Revision 1.38  2005/09/07 10:49:20  aflinta
- merged form DEVEL, 2.12.0

Revision 1.37.2.4  2005/08/24 07:45:20  paladine
- updated to 2.11.92
- sorted %%files
- itemize schemas

Revision 1.37.2.3  2005/08/18 05:52:41  aflinta
- rebuild with cairo, rel. 2

Revision 1.37.2.2  2005/07/23 11:10:41  freetz
- 2.11.1

Revision 1.37.2.1  2005/07/12 12:52:55  freetz
- 2.11.0, updated BRs

Revision 1.37  2005/06/14 19:25:31  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.36  2005/05/25 18:27:23  megabajt
- rel. 5 for fixed desktop patch

Revision 1.35  2005/04/08 12:17:01  paladine
- rel. 4, STBR again :) ( but first gnome-doc-utils ;)

Revision 1.34  2005/04/08 11:54:23  freetz
- BR: gnome-doc-utils

Revision 1.33  2005/04/08 10:39:50  paladine
- missing BR, rel. 3

Revision 1.32  2005/04/08 09:44:20  paladine
- new style macros
- STBR

Revision 1.31  2005/04/06 11:18:31  paladine
- missing umask 022

Revision 1.30  2005/04/05 23:13:17  paladine
- wrr, missing BR

Revision 1.29  2005/04/05 22:43:07  paladine
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- don't package deprecated gnome-mime-data stuff
- rel. 2

Revision 1.28  2005/03/20 10:29:29  paladine
- merged from DEVEL

Revision 1.27.4.4  2005/03/11 14:10:09  aflinta
- up to verison 2.10.0

Revision 1.27.4.3  2005/02/28 16:23:42  paladine
- updated to 2.9.92
- proper license

Revision 1.27.4.2  2005/02/10 18:26:30  grzegol
- updated to 2.9.91

Revision 1.27.4.1  2005/02/08 21:16:54  grzegol
- updated to 2.9.3
- removed outdated omf patch

Revision 1.27  2004/12/01 23:49:07  grzegol
- added omf patch (fix bug-buddy-C.omf file)
- rel. 3

Revision 1.26  2004/11/30 13:58:16  paladine
- sorted BRs
- added desktop patch
- rel 2

Revision 1.25  2004/09/13 10:45:11  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.24.2.3  2004/09/08 20:43:21  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.24.2.2  2004/08/21 20:37:43  aflinta
- up to version 2.7.91

Revision 1.24.2.1  2004/06/05 17:36:31  freetz
- 2.7.0 - gnome 2.8 developement series

Revision 1.24  2004/04/16 13:20:55  grzegol
- updated to 2.6.1

Revision 1.23  2004/03/22 18:16:14  aflinta
- merged from DEVEL, up to version 2.6.0

Revision 1.22.2.6  2004/03/16 15:03:07  grzegol
- updated to 2.5.92

Revision 1.22.2.5  2004/02/24 14:24:41  grzegol
- updated to 2.5.90
- added en_CA.po file (Source1) - it's missing in sources
- updated BRs

Revision 1.22.2.4  2004/02/15 21:53:38  grzegol
- updated to 2.5.3
- added locale-names patch (changes locale no -> nb)
- regenerate al/ac/am
- don't install schemas during build

Revision 1.22.2.3  2003/12/27 14:54:28  grzegol
- updated to 2.5.2

Revision 1.22.2.2  2003/12/15 11:20:23  wiget
- BR fix

Revision 1.22.2.1  2003/12/15 11:16:05  wiget
- 2.5.1

Revision 1.22  2003/11/09 18:25:20  grzegol
- updated to 2.4.1.1

Revision 1.21  2003/10/24 11:00:17  trojan
- updated to 2.4.1

Revision 1.20  2003/09/22 18:36:21  havner
- more BR

Revision 1.19  2003/09/01 14:51:37  grzegol
- updated to 2.4.0

Revision 1.18  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/08/06 16:38:33  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.16  2003/08/04 10:25:26  grzegol
- updated to 2.3.4
- more docs

Revision 1.15  2003/07/15 16:45:28  aflinta
- version 2.3.3

Revision 1.14  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.13  2003/06/09 21:27:07  aflinta
- version 2.3.2

Revision 1.12  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.11  2003/05/25 05:46:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/19 06:53:27  aflinta
- version 2.3.1

Revision 1.9  2003/05/12 22:33:57  aflinta
- version 2.2.104

Revision 1.8  2003/03/10 21:51:40  aflinta
- updated to version 2.2.103

Revision 1.7  2003/02/04 07:19:54  trojan
- updated to 2.2.102

Revision 1.6  2003/01/20 11:29:19  trojan
- updated to 2.2.101

Revision 1.5  2003/01/01 12:34:42  aflinta
- updated to version 2.2.100

Revision 1.4  2002/12/17 00:27:50  aflinta
- cleanups

Revision 1.3  2002/12/17 00:22:42  aflinta
- updated to version 2.2.99

Revision 1.2  2002/12/05 11:35:14  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.1  2002/06/29 17:39:25  misiek
- initial pld release

